Skip to main content
`Ctrl`+`K`

# pandas.api.extensions.ExtensionArray._concat_same_type

classmethod ExtensionArray._concat_same_type(to_concat)

  Concatenate multiple array of this dtype.

  Parameters:
    to_concat sequence of this type
  Returns:
    ExtensionArray

  Examples

      >>> arr1 = pd.array([1, 2, 3])
      >>> arr2 = pd.array([4, 5, 6])
      >>> pd.arrays.IntegerArray._concat_same_type([arr1, arr2])
      <IntegerArray>
      [1, 2, 3, 4, 5, 6]
      Length: 6, dtype: Int64